# extends the wind package 
# Shawn Kielty June 3 2000 
#
# Adds commands 
#
# ::wind::wait 
# ::wind::minimize  - which minimizes all windows 
#
# Create the namespace if it doesn't exist 

package provide wind 1.5

load [file join [info library] Wind wind.dll]
 
namespace eval ::wind {} {

# ::wind::wait -- 
#
# Waits for a given time for a window to be displayed 
#
# Args  - 
#
#  wwind - the title of the window 
#  max - time to wait in seconds 
#
# results - delays waiting for windo 
#
# Side effects 
#
#
# program will time out if the window is not found 

proc ::wind::waitwind {wwind {max 5} } {
	set cur [::wind::gettext]
	set i 1
	set delay 100
	set max [expr $max*1000/$delay]
	while { [regexp "$wwind" "$cur"]!=1 && $i<=$max} {
		set cur [::wind::gettext]
		incr i
		after $delay
                #puts "$i $wwind      $cur"
                update
	}
	if {$i>$max} {puts "Don't find the window : $wwind"; return 0} else { return $i}
}

# ::wind::minimizeAll -- 
# 
# Minimizes all windows 
#
# Arguments 
#
#  None 
# 
proc minimizeAll {} { 
    #Firstly we minimize all the windows
    set ll [ ::wind::wlist ]
    foreach elem $ll {
        if {[::wind::state $elem]!="Minimized"} {
           ::wind::show $elem
           ::wind::minimize
        }
    }
}


}
